function out=Unemp_Function_Calvo_Taylor(pi_Year, per, StrParM, StrParC, Guess)

Tc        = Guess(1);
alphag    = Guess(2);

rho       = StrParM(1);
eta       = StrParM(2);
a         = StrParM(3);
wu        = StrParM(4);
ka        = StrParM(5);
b         = StrParM(6); 

beta      = StrParC(1);
phi       = StrParC(2);
sigma     = StrParC(3); % risk aversion
iota_u    = StrParC(4); 
nu        = StrParC(5);
chi       = StrParC(6);
alpha     = StrParC(7);
gma_pi    = StrParC(8);
epsilon   = StrParC(9);
eps_u     = StrParC(10);
Ac        = StrParC(11);

% composite parameters
mu        = phi/(phi-1);
vrho      = (1-beta)/beta + rho;
omega     = (1/epsilon)*(1+nu)-1;
omegat    = (1/epsilon)-1;

Sf1       = epsilon/chi/mu/((1-iota_u)^sigma);
Mf1       = (1+nu)*(1-b)/(1-b*epsilon/mu);

PI_Per    = (1+pi_Year/100)^(1/per);

alphab    = alpha*(PI_Per^((phi-1)*(1-gma_pi)));
vc        = PI_Per^((1+phi*omega)*(1-gma_pi));
vct       = PI_Per^((1+phi*omegat)*(1-gma_pi));
dc        = PI_Per^((phi-1)*(1-gma_pi));

alphab    = alpha*(PI_Per^((phi-1)*(1-gma_pi)));
vc        = PI_Per^((1+phi*omega)*(1-gma_pi));

k         = (1-alphab*vc*beta)*(1-alphab)/alphab/(1+phi*omega);
k0        = (1-alphag*beta)*(1-alphag)/alphag/(1+phi*omega);

bf2       = mu*(1+nu)*(1+omega);
bf1       = (1+nu)*(1-b) + b*bf2;

T0 = Tc; T3 = Tc; T4 = Tc;
if PI_Per~=1;  T0 = ((dc)^Tc-1)/((dc)-1); end;
T1        = ((beta*dc)^Tc-1)/((beta*dc)-1);
T2        = ((beta*dc*vc)^Tc-1)/((beta*dc*vc)-1);
if PI_Per~=1;  T3        = ((dc*vc)^Tc-1)/((dc*vc)-1); end;
if PI_Per~=1;  T4        = ((dc*vct)^Tc-1)/((dc*vct)-1); end;
T5        = T2*T4/T1/T3;

% Inflation steady state levels
PI_SS     = PI_Per;
pc_SS     = (T0/Tc)^(1/(phi-1));
Pc_SS     = pc_SS*((T3/Tc)^(-1/phi/(1+omega)));
PcH_SS    = pc_SS*((T4/Tc)^(-1/phi/(1+omegat)));

% Maximum Inflation;
pi_Per_Max    = inf;
pi_Year_Max   = 100*((1+pi_Per_Max/100)^per) - 100;


RgdCalvo  = alphab*(1-beta)/(1-alphab)/(1-alphab*beta)*(1+phi*omega)...
          - (vc-1)*alphab*beta/(1-alphab*beta)/(1-alphab*vc*beta)*phi*(1+omega);

RgdTaylor = ((1-Tc/T1)/(beta*dc-1))*(1+phi*omega)...
          - ((1-Tc/T1)/(beta*dc-1)-(1-Tc/T2)/(beta*dc*vc-1))*phi*(1+omega);


DispCalvo  = (vc-1)*alphab/(1-alphab)/(1-alphab*vc);

DispTaylor = 0;
      
if PI_Per~=1
    RgdTaylor = ((1-Tc/T1)/(beta*dc-1)-(1-Tc/T0)/(dc-1))*(1+phi*omega)...
              - ((1-Tc/T1)/(beta*dc-1)-(1-Tc/T2)/(beta*dc*vc-1))*phi*(1+omega);
          
    DispTaylor = (1-Tc/T0)/(dc-1) - (1-Tc/T3)/(dc*vc-1);
end;
      
out(1,1) = DispCalvo-DispTaylor;
out(1,2) = k-k0;




